org.minidns.record

## Class DS

- java.lang.Object
- - org.minidns.record.Data
  - - org.minidns.record.DelegatingDnssecRR
    - - org.minidns.record.DS

-     public class DS
      extends DelegatingDnssecRR

  DNS DS (Delegation Signer) record payload for DNSSEC.
  Contains the hash of a DNSKEY record used to authenticate delegated DNS zones in DNSSEC chain of trust.
  See Also:
    RFC 4034 § 5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.minidns.record.DelegatingDnssecRR

      `DelegatingDnssecRR.SharedData`

  - ### Field Summary

    - ### Fields inherited from class org.minidns.record.DelegatingDnssecRR

      `algorithm, algorithmByte, digest, digestType, digestTypeByte, keyTag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DS(int keyTag, byte algorithm, byte digestType, byte[] digest)`
    `DS(int keyTag, DnssecConstants.SignatureAlgorithm algorithm, byte digestType, byte[] digest)`
    `DS(int keyTag, DnssecConstants.SignatureAlgorithm algorithm, DnssecConstants.DigestAlgorithm digestType, byte[] digest)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Record.TYPE` | `getType()` The payload type.
    `static DS` | `parse(DataInputStream dis, int length)`

    - ### Methods inherited from class org.minidns.record.DelegatingDnssecRR

      `digestEquals, getDigestBigInteger, getDigestHex, parseSharedData, serialize, toString`

    - ### Methods inherited from class org.minidns.record.Data

      `equals, hashCode, length, toByteArray, toOutputStream, toOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DS

          public DS(int keyTag,
                    byte algorithm,
                    byte digestType,
                    byte[] digest)

    - #### DS

          public DS(int keyTag,
                    DnssecConstants.SignatureAlgorithm algorithm,
                    byte digestType,
                    byte[] digest)

    - #### DS

          public DS(int keyTag,
                    DnssecConstants.SignatureAlgorithm algorithm,
                    DnssecConstants.DigestAlgorithm digestType,
                    byte[] digest)

  - ### Method Detail

    - #### getType

          public Record.TYPE getType()

      Description copied from class: `Data`
      The payload type.
      Specified by:
        `getType` in class `Data`
      Returns:
        The payload type.

    - #### parse

          public static DS parse(DataInputStream dis,
                                 int length)
                          throws IOException

      Throws:
        `IOException`